﻿using System;
using System.Windows.Forms;
using static System.Windows.Forms.VisualStyles.VisualStyleElement;

namespace Tryangles
{

    public partial class Form1 : Form
    {
        int A_;
        int B_;
        int C_;
        TriangleTypes type_;

        enum TriangleTypes
        {
            Isosceles,	//Равнобедренный
	        Equilateral,//Равносторонний
	        None,		//Без типа
	        DosntExist  //Не существует
        };

        TriangleTypes DetermineTypeOfTriangle(double a, double b, double c)
        {
            if (a + b > c && a + c > b && b + c > a)
            {
                if (a == b || b == c || a == c)
                {
                    if (a == b && a == c) return TriangleTypes.Equilateral;
                    return TriangleTypes.Isosceles;
                }
                return TriangleTypes.None;
            }
            else return TriangleTypes.DosntExist;
            
        }

        String TypeOfTryandleInString(TriangleTypes type)
        {
            return new string[] {"Равнобедренный", "Равносторонний", "Разносторонний", "Не существует" }[(int)type]; 
        }

        public Form1()
        {
            InitializeComponent();
            textBox1.Text = "Результат";
            textBox1.ForeColor = System.Drawing.Color.Gray;
        }

        void Error(string error)
        {
            MessageBox.Show(error,
            "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            a_.Text = "";
            b_.Text = "";
            c_.Text = "";
        }

        private void button1_Click(object sender, EventArgs e)
        {

            if (a_.Text.Trim() == "" || b_.Text.Trim() == "" || c_.Text.Trim() == "") Error("Все значения сторон должны быть заполнены!");
            else if (!Int32.TryParse(a_.Text, out A_) || !Int32.TryParse(b_.Text, out B_)
                || !Int32.TryParse(c_.Text, out C_)) Error("Значения сторон должны быть целыми числами!");
            else if (A_ <= 0 || B_ <= 0 || C_ <= 0) Error("Значения сторон должны быть положительны");
            else {             
                type_ = DetermineTypeOfTriangle(A_, B_, C_);
                if(type_ == TriangleTypes.DosntExist) Error("Треугольник с такими сторонами не существует, повторите ввод");
                else
                {            
                    textBox1.Text = TypeOfTryandleInString(type_);
                    textBox1.ForeColor = System.Drawing.Color.Black;
                }
            }
        }
    }
}
